Package com.xebialabs.xlrelease.domain.runner

# Class RunnerDefaultConfigurationSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.Configuration
com.xebialabs.xlrelease.domain.runner.RunnerDefaultConfigurationSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class RunnerDefaultConfigurationSettings extends Configuration

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunnerDefaultConfigurationSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `capabilities()`
  `void`
  `capabilities_$eq(Set<String> x$1)`
  `Integer`
  `capacity()`
  `void`
  `capacity_$eq(Integer x$1)`
  `Integer`
  `evictionTime()`
  `void`
  `evictionTime_$eq(Integer x$1)`
  `Set<String>`
  `getCapabilities()`
  `Integer`
  `getCapacity()`
  `Integer`
  `getEvictionTime()`
  `Integer`
  `getIdleTimeToLive()`
  `RemoteRunnerRegistrySettings`
  `getRegistrySettings()`
  `Integer`
  `idleTimeToLive()`
  `void`
  `idleTimeToLive_$eq(Integer x$1)`
  `RemoteRunnerRegistrySettings`
  `registrySettings()`
  `void`
  `registrySettings_$eq(RemoteRunnerRegistrySettings x$1)`
  `void`
  `setCapabilities(Set<String> x$1)`
  `void`
  `setCapacity(Integer x$1)`
  `void`
  `setEvictionTime(Integer x$1)`
  `void`
  `setIdleTimeToLive(Integer x$1)`
  `void`
  `setRegistrySettings(RemoteRunnerRegistrySettings x$1)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

  `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, hasId, isSupportedOn, setCiUid, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RunnerDefaultConfigurationSettings

    public RunnerDefaultConfigurationSettings()

- ## Method Details

  - ### capabilities

    public Set<String> capabilities()

  - ### capabilities_$eq

    public void capabilities_$eq(Set<String> x$1)

  - ### capacity

    public Integer capacity()

  - ### capacity_$eq

    public void capacity_$eq(Integer x$1)

  - ### evictionTime

    public Integer evictionTime()

  - ### evictionTime_$eq

    public void evictionTime_$eq(Integer x$1)

  - ### getCapabilities

    public Set<String> getCapabilities()

  - ### getCapacity

    public Integer getCapacity()

  - ### getEvictionTime

    public Integer getEvictionTime()

  - ### getIdleTimeToLive

    public Integer getIdleTimeToLive()

  - ### getRegistrySettings

    public RemoteRunnerRegistrySettings getRegistrySettings()

  - ### idleTimeToLive

    public Integer idleTimeToLive()

  - ### idleTimeToLive_$eq

    public void idleTimeToLive_$eq(Integer x$1)

  - ### registrySettings

    public RemoteRunnerRegistrySettings registrySettings()

  - ### registrySettings_$eq

    public void registrySettings_$eq(RemoteRunnerRegistrySettings x$1)

  - ### setCapabilities

    public void setCapabilities(Set<String> x$1)

  - ### setCapacity

    public void setCapacity(Integer x$1)

  - ### setEvictionTime

    public void setEvictionTime(Integer x$1)

  - ### setIdleTimeToLive

    public void setIdleTimeToLive(Integer x$1)

  - ### setRegistrySettings

    public void setRegistrySettings(RemoteRunnerRegistrySettings x$1)